<?php


namespace Mehrab\Front\Http\Controllers;


use App\Http\Controllers\Controller;
use Mehrab\ContactUs\Http\Requests\contactUs_store_request;
use Mehrab\ContactUs\Repositories\contactUsRepo;


class ContactUsController extends Controller
{

    public function index(){
        $leaflet = true;
        $footer = false;
        return view("Front::contactUs",compact('footer','leaflet'));
    }

    public function store(contactUs_store_request $request,contactUsRepo $contactUsRepo){
        $contactUs = $contactUsRepo->store($request);
        if ($contactUs){
            return redirect()->back()->with('status','پیام شما با موفقیت ثبت گردید . با تشکر از شما');
        }else{
            return redirect()->back()->with('status','ارسال پیام با خطا مواجه شد .');
        }
    }

}
